<%@ page import="weaver.general.*" %>
<%@page import="weaver.conn.RecordSet"%>
<%@ page import="com.alibaba.fastjson.JSONObject" %>
<%@ page import="java.util.*" %>
<%@ page import="com.engine.matfron.entity.OptionVO" %>
<%@ page import="com.engine.matfron.util.CommonUtils" %>
<%@ page import="com.engine.matfron.util.CommonDateUtil" %>
<%@ page import="java.time.YearMonth" %>
<%@ page import="com.engine.matfron.entity.BrowserParam" %>
<%@ page import="org.apache.commons.lang.StringUtils" %>
<jsp:useBean id="ResourceComInfo" class="weaver.hrm.resource.ResourceComInfo" scope="page"/>
<jsp:useBean id="bb" class="weaver.general.BaseBean" scope="page" />
<%@ page language="java" contentType="text/html; charset=UTF-8" %>

<%
    out.println("------------");
    String sql = "select count(1) as sum from lizhi_view h  ,hrmresource s where h.resourceid = s.id  and   (s.belongto is null or s.belongto = -1 ) and s.subcompanyid1 = 62 and  h.changedate >= '2024-02-01' and h.changedate <= '2024-02-29'  and s.departmentid in (448,449,450,451)";

    RecordSet rs = new RecordSet();
    rs.execute(sql);
    rs.next();
    int num = Util.getIntValue(rs.getString("num"));
    out.println(num);

%>

